use bevy_ecs::component::Component;

use super::vertex::Vertex2D;

#[derive(Component)]
pub struct Mesh2D {
    pub vertices: Vec<Vertex2D>,
}

impl Mesh2D {
    pub fn new(vertices: Vec<Vertex2D>) -> Self {
        Self { vertices }
    }
}
